Last modified: 2011-01-25 01:16:42 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16927 - add support for firefogg
add support for firefogg
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Uploading (Other open bugs)
unspecified
All All
: Normal enhancement with 2 votes (vote)
: ---
Assigned To: Michael Dale
http://firefogg.org
: patch, patch-need-review
Depends on: 17255
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-07 23:08 UTC by Michael Dale
Modified: 2011-01-25 01:16 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
firefogg patch (10.50 KB, patch)
2009-01-07 23:09 UTC, Michael Dale
Details

Description Michael Dale 2009-01-07 23:08:51 UTC
Initial patch for support for firefogg transcoding and progress uploading.

live demo here: 
http://metavid.org/w/index.php/Special:Upload

We are limited here by the upload api and the fact that firefogg only works with browsers firefox 3.1 and above. 

Once we add in an upload api this will work a lot better (won't need to resort to ugly hackery to figure out if the upload was successful)
Comment 1 Michael Dale 2009-01-07 23:09:21 UTC
Created attachment 5651 [details]
firefogg patch
Comment 2 Brion Vibber 2009-01-30 18:41:35 UTC
Couple minor notes:

* Needs localization on the 'Select File' button
* 'Enable video converter' checkbox should use a <label>
* Destination filename isn't being automatically set when using the converter option
* Testing w/ a current 3.1 nightly... it seems to be sticking at '100% - Uploaded'
Comment 3 Michael Dale 2009-01-30 19:01:13 UTC
right... firefog api changes (need to update the patch) ...  Destination file-name was not available until the most resent version :)  
other issue is not handling the complex commons upload form property yet. 

update arriving shortly...
Comment 4 Michael Dale 2009-03-13 15:48:02 UTC
this patch has been folded into the add_media_wizard.js and re factored with jQuery dependency and in the process of adding chunk support. By moving it into add_media_wizard.js space it can be deployed as a user gadget. Hopefully we can do some test deployment with that next week. 
Comment 5 Brion Vibber 2009-03-16 19:23:31 UTC
Awesome! *runs off to install firefogg on ff 3.1*
Comment 6 Michael Dale 2009-03-16 21:16:04 UTC
(you can test it by adding the following to your user script page: 
 importScriptURI('http://mvbox2.cse.ucsc.edu/w/extensions/MetavidWiki/skins/add_media_wizard.js'); 
or 
 importScriptURI('http://localhost/wiki/extensions/MetavidWiki/skins/add_media_wizard.js'); 

if you check out the trunk of MetavidWiki locally.

Comment 7 Michael Dale 2009-03-16 22:28:31 UTC
oky try again ..fixed the multiple select binding bug and I have it force the link to the file on post request completion (that way it does not look like it hangs at 100% if we don't parse the html result properly) 
Comment 8 Brion Vibber 2009-03-19 17:48:42 UTC
Better. :D

A couple problems I'm still seeing:

* Smaller files aren't scaled properly? 320x240 QuickTime videos from my mother's digital camera are getting uploaded with large black borders on the right and bottom.

* Selecting a .wmv file appears to have no affect -- it doesn't fill out the filename and won't upload. (Tested on Mac OS X; note that I have WMV components for QuickTime installed.) If only some file types are acceptable, there needs to be some feedback when selecting an unusable type...
Comment 9 Michael Dale 2009-03-19 19:01:24 UTC
1) small file scale issue is hard to resolve..its likely a bug with the underling quicktime decoder in ffmpeg. I think you would have the same problem with any ffmpeg based transcoder. We are working on a feature that would expose the resolution of the source media file via firefogg so that we could choose a lower resolution encode in those cases. (This would also avoid ugly up-sampling) ...
In general it does not have scaling issues.. I uploaded a 320x240 wmv and it got converted to 400x300 ogg video without large black borders. 

2) r48590 (firefogg usses ffmpeg (not native quicktime for decodes)).  Added .wmf file supported (to our file extension check). Also added a error msg with a link to http://commons.wikimedia.org/wiki/Commons:Firefogg#Supported_File_Types ... (To test the file types select some non-video file)  
In practice there may be some wmv files that use the latest M$ codecs that may not work well with ffmpeg... but ~most stuff~ should work. 
Comment 10 Brion Vibber 2009-03-19 19:06:57 UTC
*nod* For reference if needed for debugging, here's my sample files:

http://leuksman.com/misc/100_3989.mov <- original 320x240 QuickTime

http://leuksman.com/misc/100_3989.580.ogv <- Firefogg output
Comment 11 Alexandre Emsenhuber [IAlex] 2009-08-25 21:48:02 UTC
Per Michael: fixed with the new-upload branched merged back in core.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links